{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
	<meta name="description" content="">
	<meta name="keywords" content="">
	<title>Plataformas de Proyectos de Título</title>
	<link rel="stylesheet" href="{% static 'css/vendor.bundle.css' %}">
	<link rel="stylesheet" href="{% static 'css/app.bundle.css' %}">
	<link rel="stylesheet" href="{% static 'css/theme-a.css' %}">
</head>

<body>
	<div id="app_wrapper" class="taskboard-app">
		<header id="app_topnavbar-wrapper">
			<nav role="navigation" class="navbar topnavbar">
				<div class="nav-wrapper">
					<ul class="nav navbar-nav pull-left left-menu">
						<li class="app_menu-open">
							<a href="javascript:void(0)" data-toggle-state="app_sidebar-left-open" data-key="leftSideBar">
								<i class="zmdi zmdi-menu"></i>
							</a>
						</li>
					</ul>
					<ul class="nav navbar-nav pull-right">
						<li class="dropdown avatar-menu">
							<a href="javascript:void(0)" data-toggle="dropdown" aria-expanded="false">
								<span class="meta">
									<span class="avatar">
										<img src="{{ foto }}" alt="" class="img-circle max-w-35">
									</span>
									<span class="name">{{request.user.first_name}} {{request.user.last_name}}</span>
									<span class="caret"></span>
								</span>
							</a>
							<ul class="dropdown-menu btn-primary dropdown-menu-right">
								<li>
									<a href="{% url 'profile' %}">
										<i class="zmdi zmdi-account"></i> Perfil</a>
								</li>
								<li>
									<a href="javascript:void(0)">
										<i class="zmdi zmdi-settings"></i> Configuración</a>
								</li>
								<li>
									<a href="{% url 'login' %}">
										<i class="zmdi zmdi-sign-in"></i> Salir</a>
								</li>
							</ul>
						</li>
						<li class="dropdown hidden-xs hidden-sm">
							<a href="javascript:void(0)" data-toggle="dropdown" aria-expanded="false">
								<span class="badge mini status danger"></span>
								<i class="zmdi zmdi-notifications"></i>
							</a>
							<ul class="dropdown-menu dropdown-lg-menu dropdown-menu-right dropdown-alt">
								<li class="dropdown-menu-header">
									<ul class="card-actions icons  left-top">
										<li class="withoutripple">
											<a href="javascript:void(0)" class="withoutripple">
												<i class="zmdi zmdi-settings"></i>
											</a>
										</li>
									</ul>
									<h5>Notificaciones</h5>
									<ul class="card-actions icons right-top">
										<li>
											<a href="javascript:void(0)">
												<i class="zmdi zmdi-check-all"></i>
											</a>
										</li>
									</ul>
								</li>
								{% for feedback in unread_feedback %}
								<li>
									<div class="card">
										<a href="javascript:void(0)" class="pull-right dismiss" data-dismiss="close">
											<i class="zmdi zmdi-close"></i>
										</a>
										<div class="card-body">
											<ul class="list-group ">
												<li class="list-group-item ">
													<span class="pull-left">
														<img src="{% static 'img/project_img.png' %}" alt="" class="img-circle max-w-40 m-r-10 ">
													</span>
													<div class="list-group-item-body">
														{% if feedback.status == "AP" %}
														<div class="list-group-item-heading">Aprobado</div>
														<div class="list-group-item-text">{{feedback.description}}</div>
														{% elif feedback.status == "RE" %}
														<div class="list-group-item-heading">Rechazado</div>
														<div class="list-group-item-text">{{feedback.description}}</div>
														{% else %}
														<div class="list-group-item-heading">Mensaje</div>
														<div class="list-group-item-text">De: {{feedback.author.name}} {{feedback.description}}</div>
														{% endif %}
													</div>
												</li>
											</ul>
										</div>
									</div>
								</li>
								{% endfor %}
								<li class="dropdown-menu-footer">
									<a href="{% url 'profile' %}">
										Ver todo
									</a>
								</li>
							</ul>
						</li>
						<li>
							<a href="{% url 'login' %}">
								<i class="zmdi zmdi-sign-in"></i>
							</a>
						</li>
					</ul>
				</div>
			</nav>
		</header>
		<aside id="app_sidebar-left">
			{% include "partials/_sidebar.html" %}
		</aside>
		<section id="content_outer_wrapper">
			<div id="content_wrapper" class="simple">
				<div id="header_wrapper" class="header-sm">
					<div class="container-fluid">
						<div class="row">
							<div class="col-xs-12 col-md-12">
								<header id="header">
									<h1>Control de Proyectos</h1>
									<ol class="breadcrumb">
										<li>
											<a style="cursor: default; color: white;">Dashboard</a>
										</li>
										<li>
											<a style="cursor: default; color: white;">Proyectos</a>
										</li>
										<li class="active">Control de Proyectos</li>
									</ol>
									<button id="aprobar" class="btn md-bg-green-500 btn-fab btn-fab-sm pull-right">
										<i class="zmdi zmdi-check-all" style="color:white" disabled=""></i>
									</button>
									<button id="cancelar" class="btn btn-warning btn-fab btn-fab-sm pull-right">
										<i class="zmdi zmdi-delete" style="color:white" disabled=""></i>
									</button>
								</header>
							</div>
						</div>
					</div>
				</div>
				<div id="content" class="container-fluid">
					{% if careers_no_glosa == "0" %}
					<div class="content-body">
						<div>
							<button id="modal_trigger" class="btn btn-info btn-block" data-toggle="modal" data-target="#stepper_modal" style="display: none"></button>
						</div>
						<div id="taskboard-wrapper">
							<div class="row">
								<div class="col-xs-12 col-md-4">
									<section class="card-lane-wrapper">
										<div class="card card-task" data-task-title="Rechazados">
											<div class="color md-bg-deep-orange-500" data-task-color="md-bg-deep-orange-500"></div>
											<header class="card-heading">
												<span class="contador badge md-bg-deep-orange-500 count">0</span>
												<h2 class="card-title">Rechazar</h2>
											</header>
										</div>
										<div class="card-lane" id="rechazados">
										</div>
									</section>
								</div>
								<div class="col-xs-12 col-md-4">
									<section class="card-lane-wrapper">
										<div class="card card-task" data-task-title="En Revision">
											<div class="color md-bg-blue-500" data-task-color="md-bg-blue-500"></div>
											<header class="card-heading">
												<span class="contador badge md-bg-blue-500 count">0</span>
												<h2 class="card-title">Pendiente</h2>
											</header>
										</div>
										<div class="card-lane" id="revision">
											{%for project in projects_er%}
											<div class="card card-task-item" data-author="Autor: {{project.author.name}}" data-projectpk="{{project.pk}}" data-name="{{project.guide_teacher.name}}"
											 data-date="{{project.date}}" data-drawer="open-right-lg">
												<input type="text" class="pk" value="{{project.pk}}" hidden>
												</input>
												<div data-task-id="" class="bg-white">
													<header class="card-heading">
														<h2 class="card-title" data-task="title">{{project.name}}</h2>
														<p>{{project.description|truncatechars:250}}...</p>
													</header>
													<div class="card-body">
														<p data-task="notes">
															{{project.description}}
														</p>
													</div>
													<div class="card-footer border-top">
														<ul class="card-actions right-bottom">
															<p>Profesor a Cargo: {{project.guide_teacher.name}}</p>
														</ul>
													</div>
												</div>
											</div>
											{% endfor %}
										</div>
									</section>
								</div>
								<div class="col-xs-12 col-md-4">
									<section class="card-lane-wrapper">
										<div class="card card-task" data-task-title="Aprobado">
											<div class="color md-bg-green-500" data-task-color="md-bg-green-500"></div>
											<header class="card-heading">
												<span class="contador badge md-bg-green-500 count">0</span>
												<h2 class="card-title">Aprobar</h2>
											</header>
										</div>
										<div class="card-lane" id="aprobados">
										</div>
									</section>
								</div>
							</div>
						</div>
					</div>
					{% else %}
					<div class="content-body">
						<div class="row">
							<div class="col-lg-12">
								<div class="card" id="rootwizard">
									<div class="card-heading">
										<form class="form floating-label">
											<div class="form-wizard-nav">
												<div class="progress" style="width: 75%;">
													<div class="progress-bar" style="width:0%;"></div>
												</div>
												<ul class="nav nav-justified nav-pills">
													{% for career in careers_no_glosa %} {% if career == careers_no_glosa.0 %}
													<li class="active">
														<a href="#tab{{career.pk}}" data-toggle="tab" aria-expanded="true">
															<span class="step">!</span>
															<span class="title">No hay Glosa</span>
														</a>
													</li>
													{% else %}
													<li class="">
														<a href="#tab{{career.pk}}" data-toggle="tab" aria-expanded="false">
															<span class="step">!</span>
															<span class="title">No hay glosa</span>
														</a>
													</li>
													{% endif %} {% endfor %}
												</ul>
											</div>
									</div>
									<div class="card-body p-0">
										<div class="form-wizard form-wizard-horizontal">
											<div class="tab-content clearfix p-30">
												{% for career in careers_no_glosa %} 
												{% if career == careers_no_glosa.0 %}
												<div class="tab-pane active" id="tab{{career.pk}}">
													<div class="col-sm-12 col-sm-12">
														<div class="card">
															<header class="card-heading card-default">
																<h2 class="card-title">Formulario de Glosa</h2>
																<small>Descripción de la Glosa</small>
															</header>
															<div class="card-body">
																<form action="" class="" id="form-horizontal">
																	<div class="row">
																		<div class="col-sm-12 col-md-12">
																			<div class="form-group">
																				<label for="carrera" class="control-label">Carrera:</label>
																				<h2 id="carrera" class="card-title">
																					{{career.name}}
																				</h2>
																			</div>
																		</div>
																		<div class="col-sm-12 col-md-12">
																			<div class="form-group">
																				<label for="description" class="control-label">Descripción:</label>
																				<div id="description{{career.pk}}"></div>
																			</div>
																		</div>
																	</div>
																</form>
															</div>
															<div class="card-footer border-top">
																<ul class="card-actions text-center" style="padding-left: 0px;">
																	<li>
																		<a data-pk="{{career.pk}}" class="submit btn btn-block btn-default btn-success">
																			Aceptar
																		</a>
																	</li>
																</ul>
															</div>
														</div>
													</div>
												</div>
												{% else %}
												<div class="tab-pane" id="tab{{career.pk}}">
													<div class="col-sm-12 col-sm-12">
														<div class="card">
															<header class="card-heading card-default">
																<h2 class="card-title">Formulario de Glosa</h2>
																<small>Descripción de la Glosa</small>
															</header>
															<div class="card-body">
																<form action="" class="" id="form-horizontal">
																	<div class="row">
																		<div class="col-sm-12 col-md-12">
																			<div class="form-group">
																				<label for="carrera" class="control-label">Carrera:</label>
																				<h2 id="carrera" class="card-title">
																					{{career.name}}
																				</h2>
																			</div>
																		</div>
																		<div class="col-sm-12 col-md-12">
																			<div class="form-group">
																				<label for="description" class="control-label">Descripción:</label>
																				<div id="description{{career.pk}}"></div>
																			</div>
																		</div>
																	</div>
																</form>
															</div>
															<div class="card-footer border-top">
																<ul class="card-actions text-center" style="padding-left: 0px;">
																	<li>
																		<a data-pk="{{career.pk}}" class="submit btn btn-block btn-default btn-success">
																			Aceptar
																		</a>
																	</li>
																</ul>
															</div>
														</div>
													</div>
												</div>
												{% endif %} {% endfor %}
											</div>
										</div>
									</div>
									<div class="card-footer">
										<ul class="pager wizard">
											<li class="previous disabled">
												<a class="btn btn-primary btn-round" href="javascript:void(0);">Anterior</a>
											</li>
											<li class="next">
												<a class="btn btn-primary btn-round" href="javascript:void(0);">Siguiente</a>
											</li>
											<li class="finish">
												<button class="btn btn-green btn-round pull-right">Terminar</button>
											</li>
										</ul>
										</form>
									</div>
								</div>
							</div>
						</div>
					</div>
					{% endif %}
				</div>
				<div class="modal modal-stepper fade" id="stepper_modal" tabindex="-1" role="dialog" aria-labelledby="stepper_modal">
					<div class="modal-dialog" role="document">
						<div class="modal-content">
							<div class="modal-header">

								<h4 class="modal-title" id="myModalLabel-2">Debes retroalimentar!</h4>
								<ul class="card-actions icons right-top">
									<a href="javascript:void(0)" data-dismiss="modal" class="text-white" aria-label="Close">
										<i class="zmdi zmdi-close"></i>
									</a>
									</li>
								</ul>
							</div>
							<div class="modal-body p-0">
								<div class="stepper">
									<ul class="nav nav-tabs" role="tablist" id="header_retro">
									</ul>
									<div class="form-wrapper">
										<form role="form">
											<div class="tab-content" id="content_retro">
											</div>
										</form>
									</div>
								</div>
							</div>
							<!-- modal-content -->
						</div>
						<!-- modal-dialog -->
					</div>
				</div>
				<aside class="drawer-right-lg mw-lightGray" id="taskInfo">
					<div class="tabpanel">
						<ul class="nav nav-tabs nav-justified">
							<li class="active" role="presentation">
								<a href="#tab-editTaskInfo" data-toggle="tab" aria-expanded="true">Detalles del proyecto</a>
							</li>
						</ul>
					</div>
					<div class="tab-content p-20 ">
						<div class="tab-pane fadeIn active" id="tab-editTaskInfo">
							<!-- Task Demo Content -->
							<section id="task-info-wrapper">
								<div class="card p-15 m-b-10">
									<div class="task-created">
										<ul class="list-group user-group inline-block p-l-10 m-r-5 " data-task="users">
											<li class="list-group-item">
												<img src="assets/img/profiles/11.jpg" alt="" class="img-circle max-w-40 ">
											</li>
										</ul>
										<span class="name" id="author"></span>
										<span class="date-wrapper pull-right">
											<div class="form-group date is-empty">
												<p id="date"></p>
											</div>
										</span>
									</div>
								</div>
								<div class="card card-active" data-active-id="">
									<div data-task-color=""></div>
									<header class="card-heading border-bottom">
										<h2 id="taskListTitle" class="card-title"></h2>

									</header>
									<div class="card-body p-t-0">
										<div class="form-group">
											<label class="control-label">Título del proyecto</label>
											<span href="javascript:void(0)" id="editTaskTitle" data-type="text" data-placeholder="Card Title" data-title="Enter title"></span>
										</div>
										<div class="form-group">
											<label class="control-label">
												<i class="mdi mdi-note-text"></i> Descripción</label>
											<span href="javascript:void(0)" id="editTaskNotes" data-type="textarea" data-placeholder="Your notes here..." data-title="Enter notes"></span>
										</div>
										<div class="form-group">
											<label class="control-label">
												<i class="zmdi zmdi-accounts-alt"></i> Profesor Asignado </label>
											<span id="profesor"></span>
										</div>
									</div>
								</div>
							</section>
							<!-- Task Demo Content -->
						</div>
					</div>
				</aside>
			</div>
		</section>

	</div>

	<script src="{% static 'js/vendor.bundle.js' %}"></script>
	<script src="{% static 'js/app.bundle.js' %}"></script>

	<script>
		$(document).ready(function () {
			{% if careers_no_glosa != True %}
			{% for career in careers_no_glosa %}

			$('#description{{career.pk}}').summernote();

			{% endfor %}
			{% endif %}
			$('.contador').on("DOMSubtreeModified", function () {
				$("#aprobar").removeAttr('disabled');
				$("#cancelar").removeAttr('disabled');
			});

			$(".card").click(function () {
				var teacher = $(this).data("name");
				var date = $(this).data("date");
				var author = $(this).data("author");

				$("#author").html(author);
				$("#date").html(date);
				$("#profesor").html(teacher);
			})
			$("#aprobar").attr('disabled', 'disabled');
			$("#cancelar").attr('disabled', 'disabled');

			$("#cancelar").click(function () {
				window.location.reload();
			});

			$("#aprobar").click(function () {
				var aprobados_pk = "";
				var rechazados_pk = "";
				$("#aprobados .pk").each(function () {
					aprobados_pk = aprobados_pk + $(this).val() + "-";
				});
				$("#rechazados .pk").each(function () {
					rechazados_pk = rechazados_pk + $(this).val() + "-";
				});
				if (aprobados_pk == "" && rechazados_pk == "") {
					window.location.reload();
				} else {
					data = {
						aprobados_pk: aprobados_pk,
						rechazados_pk: rechazados_pk,
						csrfmiddlewaretoken: '{{ csrf_token }}'
					}
					console.log(data);
					$.ajax({
						type: "post",
						url: "{% url 'retro_modal' %}",
						data: data,
						success: function (response, module, exports) {
							$("#header_retro").html($.parseHTML(response.header));
							$("#content_retro").html($.parseHTML(response.content));
							$("#modal_trigger").trigger("click");
							function triggerClick(elem) {
								$(elem).click();
							}
							var $progressWizard = $('.modal-stepper .stepper'),
								$tab_active,
								$tab_prev,
								$tab_next,
								$btn_prev = $progressWizard.find('.prev-step'),
								$btn_next = $progressWizard.find('.next-step'),
								$tab_toggle = $progressWizard.find('[data-toggle="tab"]'),
								$tooltips = $progressWizard.find('[data-toggle="tab"][title]'),
								$btn_cancel = $('.cancel-stepper'),
								$stepper_item = $('.stepper li');
							//Initialize tooltips
							$tooltips.tooltip();
							//Stepper
							$tab_toggle.on('show.bs.tab', function (e) {
								var $target = $(e.target);
								if (!$target.parent().hasClass('active, disabled')) {
									$target.parent().prev().addClass('completed');
								}
								if ($target.parent().hasClass('disabled')) {
									return false;
								}
							});
							$btn_next.on('click', function () {
								$tab_active = $progressWizard.find('.active');
								$tab_active.next().removeClass('disabled');
								$tab_next = $tab_active.next().find('a[data-toggle="tab"]');
								triggerClick($tab_next);
							});
							$btn_prev.on('click', function () {
								$tab_active = $progressWizard.find('.active');
								$tab_prev = $tab_active.prev().find('a[data-toggle="tab"]');
								triggerClick($tab_prev);
							});
							$btn_cancel.on('click', function () {
								$stepper_item.attr('class', '');
								$stepper_item.each(function (index, value) {
									if (index === 0) {
										$(this).addClass('active');
									} else {
										$(this).addClass('disabled');
									}
								});
							});
						},
						error: function () {
							//SWEETALERT
						},
					})
				}
			});
		});

		$(document).on("click", ".submit", function () {
			var button = $(this);
			var carrera = button.data("pk");
			var descripcion = $('#description' + carrera).summernote("code");
			console.log("desc: " + descripcion);

			if ($("#carrera").val() == "0") {
				swal({
					title: "Error al procesar!",
					text: "Verifique los Campos! Intentelo nuevamente.",
					type: "warning",
					confirmButtonText: "Volver",
				});
			} else {
				data = {
					carrera: carrera,
					descripcion: descripcion,
					csrfmiddlewaretoken: '{{ csrf_token }}',
				}
				$.ajax({
					type: "post",
					url: "{% url 'save_glosa' %}",
					data: data,
					success: function (response) {
						var descripcion = $(".description").val("");
						swal("Exito!", "Glosa Guardada!", "success")
							.then((value) => {
								window.location.reload();
							});
					},
					error: function () {
						//SWEETALERT
					},
				})
			};
		});
		$(document).on("click", "#finish", function () {
			var aprobados_pk = "";
			var rechazados_pk = "";

			$("#aprobados .pk").each(function () {
				aprobados_pk = aprobados_pk + $(this).val() + "-";
			});
			$("#rechazados .pk").each(function () {
				rechazados_pk = rechazados_pk + $(this).val() + "-";
			});

			data = {
				csrfmiddlewaretoken: '{{ csrf_token }}',
				"feedbacks": {},
				"aprobados_pk": aprobados_pk,
				"rechazados_pk": rechazados_pk,
			}

			$(".retro").each(function () {
				data["feedbacks"][$(this).data("pk")] = { "description": $(this).val(), "type": $(this).data("status") };
			});

			data['feedbacks'] = JSON.stringify(data['feedbacks'])
			console.log(data);
			$.ajax({
				type: "post",
				url: "{% url 'create_feedback' %}",
				data: data,
				success: function () {
					console.log(response.mensaje);
				},
				error: function () {
					//SWEETALERT
				},
			});


			$.ajax({
				type: "post",
				url: "{% url 'update_projects' %}",
				data: data,
				success: function () {
					window.location.reload();
				},
				error: function () {
					//SWEETALERT
				},
			});

		});
	</script>
</body>

</html>